
Redmine - Defect #1261

By re-installing an existent Redmine installation on a different server the links inside Redmine

becoming invalid

2008-05-20 10:28 - Thomas Schuler

Status: Closed Start date: 2008-05-20

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

By re-installing an existent Redmine installation on a different server the links inside Redmine becoming invalid, because the links

were absolute including the Redmine server address. There's a need for a special (wiki/documents/ticket) tag to mask the local

server address and to keep the links inside Redmine valid.

History

#1 - 2008-05-20 21:56 - Jean-Philippe Lang

Which links are you speaking about ?

You can use automatic links to wiki/documents/ticket in descriptions to avoid this kind of problem. See RedmineWikiFormatting.

#2 - 2008-05-26 12:44 - Thomas Schuler

I'm speaking about links outside of projects, but inside the current Redmine installation.

E.g.: Contents of a public project could be possibly referenced from some internal projects. I can't find a hint for referencing such a page inside

another project without using fully qualified links...

#3 - 2008-05-26 17:48 - Paul Rivier

from the formating card http://www.redmine.org/help/wiki_syntax_detailed.html, you can use, for example :

[[redmine:HowTos| Many "How to"]]

 to reference page HowTos in project redmine.

--

side-note : I still don't know how to insert properly escaped textile link syntax without using ugly hacks

#4 - 2008-05-26 18:48 - Thomas Schuler

- Status changed from New to Resolved

- % Done changed from 0 to 100

Ok, my fault - I didn't read the manual deep enough...sorry! Thanks for your help!

#5 - 2008-05-29 19:49 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Affected version (unused) deleted (devel)

- Resolution set to Invalid

Thanks for the feedback.

Paul: I know :-(
